var expect = require('chai').expect;
var gulp = require('gulp');
var fs = require('fs');
var del = require('del');

var cleaner = require('./../src/clean-folders');

describe('clean tests', function() {
    var baseFolder = './gulp-tests';

    before(function() {
        cleaner.baseFolder = baseFolder;
    });
    
    after(function() {
        cleaner.baseFolder = '.';
    });
    
    it('clean', function() {
        var folderToClean = baseFolder + cleaner.jspmFolder;

        if (!fs.existsSync(baseFolder)) {
            fs.mkdirSync(baseFolder)
        }

        if (!fs.existsSync(folderToClean)) {
            fs.mkdirSync(folderToClean)
        }

        cleaner.clean(folderToClean).then(function() {
            var exists = fs.existsSync(folderToClean);
            expect(exists).to.be.false;
        })
    });
});